diff --git a/isisd/isis_tlvs.c b/isisd/isis_tlvs.c
index e871ae8c4f99..823ddbd0a9a7 100644
--- a/isisd/isis_tlvs.c
+++ b/isisd/isis_tlvs.c
@@ -4366,6 +4366,13 @@ static int pack_tlv_router_cap(const struct isis_router_cap *router_cap,
 	}
 #endif /* ifndef FABRICD */
 
+	/* Add SRv6 capabilities if set as per RFC 9352 section #2 */
+	if (router_cap->srv6_cap.is_srv6_capable) {
+		stream_putc(s, ISIS_SUBTLV_SRV6_CAPABILITIES);
+		stream_putc(s, ISIS_SUBTLV_SRV6_CAPABILITIES_SIZE);
+		stream_putw(s, router_cap->srv6_cap.flags);
+	}
+
 	/* Adjust TLV length which depends on subTLVs presence */
 	tlv_len = stream_get_endp(s) - len_pos - 1;
 	stream_putc_at(s, len_pos, tlv_len);
